#!/bin/sh/

#请将此ID改为自己的工号
ID="133703"

str1="ssh://$ID@172.28.4.12:29418/"
str2="29418 $ID@172.28.4.12:hooks/commit-msg "
str3="/.git/hooks/"

projects=(
#通讯录模块功能相关项目
"addressBook-project"
#应用相关项目
"app-project"
#蓝牙模块功能相关项目
"beacon-project"
#名片相关功能项目
"card-project"
#收藏功能相关项目
"collections-project"
#公共部分项目
"common-project"
#联系人模块相关项目
"contact-project"
#数据库相关项目
"database-project"
#发现和周边功能相关项目
"discovery-project"
#门禁项目功能相关项目
"doorguard-project"
#表情商城功能相关项目
"faceShop-project"
#基本数据类型相关项目
"feed-project"
#热修复功能项目
"fix-project"
#frame 功能相关项目
"frame-project"
#forum 功能相关项目
"forum-project"
#gif图片功能相关项目
"gif-project"
#群组功能相关项目
"group-project"
#主页功能相关项目
"homepage-project"
#图片展示相关项目
"image-project"
#日志相关项目
"log-project"
#地图功能相关项目
"map-project"
#媒体（音视频等）相关项目
"media-project"
#通知聊天相关项目
"message-project"
#mwap相关项目
"mwap-project"
#网络层相关项目
"network-project"
#组织相关项目
"org-project"
#推荐功能相关项目
"recommend-project"
#黑名单功能相关项目
"relationstatus-project"
#小区详情页功能相关项目
"resident-project"
#周边功能相关项目
"round-project"
#扫一扫以及二维码相关项目
"scan-project"
#搜索功能相关项目
"search-project"
#分享功能相关项目
"share-project"
#Android-主工程依赖工程
#"systoonCore"
#toon版本项目
"toonandroid"
#红包功能相关项目
"toonpay-project"
#动态功能相关项目
"trends-project"
#用户相关项目
"user-project"
#自定义view相关项目
"view-project"
#黑名单相关项目
"blacklist-project"
"companyContact-project"
"content-project"
"customConfigs-project"
"customization-project"
"forumContent-project"
"interestGroup-project"
"link-project"
"markManage-project"
"messageView-project"
"relationship-project"
"relationstatus-project"
"resident-project"
"thirdpush-project"
"toongine-project"
"workbench-project"
"interact-project"
"fts-project"
"markManage-project"
"messageView-project"
)

#
usage()
{
	echo "
========================================================
			说明：
	使用前请先将脚本内的工号修改为自己的工号
	当前工号为：$ID

	-l : 查看当前已配置工程清单
	-c : clone清单内所有工程
	-p : 当前目录下所有工程批量执行git pull

========================================================"

}

list()
{
	for name in ${projects[@]}
	do
		echo $name
	done
}

clone()
{
	for name in ${projects[@]}
	do
		if [ ! -d $name ]; then
			var1="$str1${name}"
			var2="$str2${name}$str3"
			echo "[$name]" && git clone $var1 && scp -p -P $var2
		else
			echo "[$name] is already exist!"
		fi
	done

}

pull()
{
	for dir in $(ls -d */)
	do
	  if [ -d "$dir"/.git ]; then
	    echo "$dir" && cd "$dir" && git checkout develop && git pull && cd ..
	  fi
	done
}



if [ "$1"x = x ]; then
	usage
elif [ "$1" = "-l" ]; then
	list
elif [ "$1" = "-c" ]; then
	clone
elif [ "$1" = "-p" ]; then
	pull
fi




#echo ">>> 当前工号：$ID, 是否需要更换工号（y/n）?"
#read answer